Extending Qt Creator Manual | CustomImportsProvider

Extending Qt Creator Manual 4.5.2

# CustomImportsProvider Class

(QmlJS::CustomImportsProvider)

- List of all members, including inherited members

## Public Functions

| CustomImportsProvider(QObject *parent = 0)
virtual | ~CustomImportsProvider()
virtual QList<Import> | imports(ValueOwner *valueOwner, const Document *context) const = 0

## Member Function Documentation

### CustomImportsProvider::CustomImportsProvider(QObject *parent = 0)

Default constructs an instance of CustomImportsProvider.

### `[virtual]` CustomImportsProvider::~CustomImportsProvider()

Destroys the instance of CustomImportsProvider. The destructor is virtual.

### `[pure virtual]` QList<Import> CustomImportsProvider::imports(ValueOwner *valueOwner, const Document *context) const